TAAS - Feature #383

Connect locking and unlocking to other modules

10/14/2024 10:36 AM - Arathy PS

Status: Coding Done Start date: 10/14/2024
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 60%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Document Locking

Description

---> Document locking and document user permission modules has no effect on other modules (apart from update).
---> Period locking and unlocking has no effect on other modules (apart from update).

Linked Issue: http://103.145.37.7:82/redmine/issues/322

History

#1 - 10/14/2024 04:43 PM - Arathy PS

- Subject changed from Document, period locking and unlocking to Connect locking and unlocking to other modules

- Description updated

#2 - 10/18/2024 04:03 PM - Junaid M

- Description updated

#3 - 10/25/2024 11:00 AM - Arathy PS

Document locking

Document locking actions-

1. view: not connected

2. Update: connected

3. Delete: Not connected

4. Print: Not connected

5. Settlement: not connected

6. Settlement revoke: not connected

Period locking

Period locking actions (action category: financial and non financial documents)-
1. View: not connected --- Can't save new documents in locked period.

2. Update: not connected

3. Delete: not connected

4. Print: not connected

5. Settlement: not connected

6. Settlement revoke: not connected

#4 - 11/04/2024 11:44 AM - Anil KV

- Assignee changed from Anil KV to Baseem Shan

#5 - 12/11/2024 02:02 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#6 - 12/28/2024 05:38 PM - Arathy PS

- Assignee changed from Baseem Shan to Nawal Sidique

#7 - 12/28/2024 05:39 PM - Arathy PS
http://103.145.37.7:82/redmine/issues/322

Document , period Locking Deletion validation ( check Receipt, Cash Transfer) -- ask vivek for any doubts

#8 - 12/31/2024 09:39 AM - Nawal Sidique
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#9 - 01/07/2025 09:39 AM - Nawal Sidique
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

05/04/2025 22


http://www.tcpdf.org

